/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-08 17:25:39  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "")
public class CpLog extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_type = "type";
  public static final String KEY_module = "module";
  public static final String KEY_remoteAddr = "remoteAddr";
  public static final String KEY_deleted = "deleted";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 日志类型（1-新增 2-修改 3-删除）<br>
   */
  @ApiModelProperty("日志类型（1-新增 2-修改 3-删除）")
  @Size(max = 2, message="日志类型（1-新增 2-修改 3-删除）-type: 数据长度不能 > 2" )
  private String type;
  /**
   * 所属功能<br>
   */
  @ApiModelProperty("所属功能")
  @Size(max = 50, message="所属功能-module: 数据长度不能 > 50" )
  private String module;
  /**
   * 请求地址<br>
   */
  @ApiModelProperty("请求地址")
  @Size(max = 100, message="请求地址-remoteAddr: 数据长度不能 > 100" )
  private String remoteAddr;
  /**
   * 逻辑删除<br>
   */
  @ApiModelProperty("逻辑删除")
  private Boolean deleted;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 日志类型（1-新增 2-修改 3-删除）<br>
   */
  public String getType()
  {
      return type;
    }

  /**
   * 日志类型（1-新增 2-修改 3-删除）<br>
   *
   * @param type 日志类型（1-新增 2-修改 3-删除）
   */
  public void setType(String type)
  {
      this.type = type;
    }
  /**
   * 所属功能<br>
   */
  public String getModule()
  {
      return module;
    }

  /**
   * 所属功能<br>
   *
   * @param module 所属功能
   */
  public void setModule(String module)
  {
      this.module = module;
    }
  /**
   * 请求地址<br>
   */
  public String getRemoteAddr()
  {
      return remoteAddr;
    }

  /**
   * 请求地址<br>
   *
   * @param remoteAddr 请求地址
   */
  public void setRemoteAddr(String remoteAddr)
  {
      this.remoteAddr = remoteAddr;
    }
  /**
   * 逻辑删除<br>
   */
  public Boolean getDeleted()
  {
      return deleted;
    }

  /**
   * 逻辑删除<br>
   *
   * @param deleted 逻辑删除
   */
  public void setDeleted(Boolean deleted)
  {
      this.deleted = deleted;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CpLog()
  {
  }

}
